Bug 205711 - Go to source from live results doesn't work with sample platform app
Go to source from live results doesn't work with sample platform app
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Ide
7.1
PC Windows 7
: P2 (vote)
: 7.1
Assigned To: J Bachorik
issues@profiler
: 71_HR_FIX, REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-30 12:23 UTC by Petr Cyhelsky
Modified: 2011-12-04 11:59 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Cyhelsky 2011-11-30 12:23:04 UTC
Product Version: NetBeans IDE 7.1 RC2 (Build 201111292200)
Java: 1.7.0_02; Java HotSpot(TM) Client VM 22.0-b10
System: Windows 7 version 6.1 running on x86; Cp1252; en_US (nb)

Steps: create new "sample CRUD application" from netbeans modules samples category -> profile CPU with Profile only project classes filter -> in live results invoke go to source on some method from org.netbeans.customerdb.*
Comment 1 J Bachorik 2011-11-30 14:45:49 UTC
Profiler project support registration missing for apisupport suite projects.

Fixed in http://hg.netbeans.org/profiler-main/rev/1514b4212cd5
Comment 2 Tomas Hurka 2011-11-30 15:00:42 UTC
Fix reviewed. It can be integrated into release71 branch.
Comment 3 J Bachorik 2011-11-30 15:08:52 UTC
Integrated into release71

http://hg.netbeans.org/releases/rev/2f70d3cc11b6
Comment 4 Petr Cyhelsky 2011-11-30 15:40:09 UTC
verified on:
Product Version: NetBeans IDE Dev (Build 20111130-21088201059c)
Java: 1.6.0_22; OpenJDK 64-Bit Server VM 20.0-b11
System: Linux version 2.6.38-12-generic running on amd64; UTF-8; en_US (nb)
Comment 5 Quality Engineering 2011-12-01 07:05:49 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/2f70d3cc11b6
User: Jaroslav Bachorik <yardus@netbeans.org>
Log: #205711: Adding profiler project support for the appisuport suite
(transplanted from 1514b4212cd53ca3392ba92598a7b83786d57fc2)
Comment 6 Quality Engineering 2011-12-04 11:59:16 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/1514b4212cd5
User: Jaroslav Bachorik <yardus@netbeans.org>
Log: #205711: Adding profiler project support for the appisuport suite


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo